summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Faulhammer <opfer@gentoo.org>2007-06-11 10:04:04 +0000
committerChristian Faulhammer <opfer@gentoo.org>2007-06-11 10:04:04 +0000
commitaf98416ce64b8c17a12af35dc3dfe004d1187481 (patch)
treeb863052fab628c49271924eb368953117815bbda /eclass/elisp.eclass
parentSet free the ghosts for the NEED_EMACS dependencies, needed for the (diff)
downloademacs-af98416ce64b8c17a12af35dc3dfe004d1187481.tar.gz
emacs-af98416ce64b8c17a12af35dc3dfe004d1187481.tar.bz2
emacs-af98416ce64b8c17a12af35dc3dfe004d1187481.zip
Set free the ghosts for the NEED_EMACS dependencies, needed for the
new-style virtuals svn path=/emacs-overlay/; revision=386
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass16
1 files changed, 8 insertions, 8 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 7d7aa19..cdaa1f6 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -31,9 +31,10 @@ inherit elisp-common versionator
## Experimental code for proper new style virtual dependencies:
VERSION=${NEED_EMACS:-21}
-#
-# DEPEND=">=virtual/emacs-${VERSION}"
-#
+
+DEPEND=">=virtual/emacs-${VERSION}"
+#DEPEND="virtual/emacs"
+
elisp_pkg_setup() {
# Is this first test necessary? The case of < 2 digits will be caught
# by the version comparison anyway. - ulm
@@ -41,10 +42,10 @@ elisp_pkg_setup() {
die "Please specify a proper Emacs version number. It has to be two digits!"
fi
echo "Given Emacs version number: " ${VERSION} #for debugging
-# if ! version_is_at_least "${VERSION}" "$(elisp-emacs-version)"; then
-# die "You need at least Emacs ${VERSION} as your current active version.
-# Use \"eselect emacs\" to select the version."
-# fi
+ if ! version_is_at_least "${VERSION}" "$(elisp-emacs-version)"; then
+ die "You need at least Emacs ${VERSION} as your current active version.
+ Use \"eselect emacs\" to select the version."
+ fi
}
##
@@ -53,7 +54,6 @@ if [ "${SIMPLE_ELISP}" = 't' ]; then
S="${WORKDIR}/"
fi
-DEPEND="virtual/emacs"
IUSE=""
elisp_src_unpack() {